## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate rstest_reuse

Name:           rust-rstest_reuse
Version:        0.7.0
Release:        %autorelease
Summary:        Reusable test attributes for rstest

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/rstest_reuse
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * allow rstest 0.23:
#   https://github.com/la10736/rstest/commit/9df2cc1903abc5c29c932e6f5f122af4a7b9e160
Patch:          rstest_reuse-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Reuse rstest attributes: create a set of tests and apply it to every
scenario you want to test.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/checkoutlist.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Tests in tests/ require rstest_test
%cargo_test -- --lib
%cargo_test -- --doc
%cargo_test -- --bins
%endif

%changelog
## START: Generated by rpmautospec
* Fri Nov 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2283984
- Enable some doctests, and allow rstest 0.23

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Initial import (#2247854)
## END: Generated by rpmautospec
